## hello-traditional 2.9

=== debian/changelog ===
hello-traditional (2.9-2) unstable; urgency=low

  * Apply patch from Reuben Thomas to fix i18n of default message.
    This is upstream commit c4aed00. Reported as #767172 against hello.
  * The previous change in src/hello.c trigger a rebuild of man/hello.1
    that we don't need. Add a "touch man/hello.1" to avoid it.
  * Use Breaks: hello-debhelper (<< 2.9), not Conflicts,
    as hello-debhelper is deprecated.
  * Update 99-config-guess-config-sub patch.

 -- Santiago Vila <sanvila@debian.org>  Fri, 07 Nov 2014 20:20:32 +0100

hello-traditional (2.9-1) unstable; urgency=low

  * New upstream release.
  * Reworded short description.
  * Renamed source and binary from "hello" to "hello-traditional".
  * The hello-debhelper package will be renamed to just "hello".
  * Added appropriate Conflicts/Replaces.
  * Lowered priority to "extra".
  * Standards-Version: 3.9.5.

 -- Santiago Vila <sanvila@debian.org>  Sat, 12 Apr 2014 15:07:40 +0200

hello (2.8-4) unstable; urgency=low

  * Added '-n' to all debian/rules gzip calls to help the build to be
    binary-reproducible. Closes: #719848.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Fri, 16 Aug 2013 09:50:00 +0200

hello (2.8-3) unstable; urgency=low

  * Quote prefix in make install to fix FTBFS when there are spaces
    in the working directory. Closes: #696855. Thanks to Dmitrijs Ledkovs.

 -- Santiago Vila <sanvila@debian.org>  Wed, 13 Feb 2013 11:24:42 +0100

hello (2.8-2) unstable; urgency=low

  * Use `dpkg-buildflags` instead of $(shell dpkg-buildflags).
    Otherwise "export DEB_BUILD_MAINT_OPTIONS=foo", when needed, does not work.

 -- Santiago Vila <sanvila@debian.org>  Thu, 07 Jun 2012 13:01:40 +0200

hello (2.8-1) unstable; urgency=low

  * New upstream release.
  * Dropped patch 01-no-usr-share-info-dir-gz in favour of new environment
    variable AM_UPDATE_INFO_DIR supported by recent automake.
  * Build with hardened flags (added CPPFLAGS and LDFLAGS).
  * Put CFLAGS stuff in ./configure call, where they really belong.

 -- Santiago Vila <sanvila@debian.org>  Sun, 27 May 2012 23:23:00 +0200

hello (2.7-3) unstable; urgency=low

  * Get CFLAGS from dpkg-buildflags.
  * Drop -g as it's provided by dpkg-buildflags. Add -Wall as it's not.
  * Drop noopt handling, dpkg-buildflags already takes care of that.

 -- Santiago Vila <sanvila@debian.org>  Sun, 26 Feb 2012 12:04:16 +0100

hello (2.7-2) unstable; urgency=low

  * Added recommended targets build-arch and build-indep.
  * Standards-Version: 3.9.2.

 -- Santiago Vila <sanvila@debian.org>  Thu, 04 Aug 2011 13:08:08 +0200

hello (2.7-1) unstable; urgency=low

  * New upstream release.
  * Use chown with numeric value 0 instead of "root".
  * Make package cross-buildable without binutils-multiarch.
    Thanks to Héctor Orón. Closes: #616444.

 -- Santiago Vila <sanvila@debian.org>  Tue, 05 Apr 2011 15:37:44 +0200

hello (2.6-1) unstable; urgency=low

  * New upstream release.
  * Drop unused INSTALL_PROGRAM stuff.
  * Switch to 3.0 (quilt) source format.
  * Standards-Version: 3.9.1 (no special changes for this).

 -- Santiago Vila <sanvila@debian.org>  Fri, 06 Aug 2010 22:04:02 +0200

hello (2.5-1) unstable; urgency=low

  * New upstream release.
  * Added homepage field to control file.
  * Added cross-compilation support. Closes: #550327.
  * Standards-Version: 3.8.4 (no special changes for this).

 -- Santiago Vila <sanvila@debian.org>  Sun, 14 Feb 2010 17:25:04 +0000

hello (2.4-3) unstable; urgency=low

  * Modified doc/Makefile.in to avoid /usr/share/info/dir.gz.

 -- Santiago Vila <sanvila@debian.org>  Sun, 30 Aug 2009 13:05:52 +0200

hello (2.4-2) unstable; urgency=low

  * Removed prerm and postinst as they are no longer needed.
  * Added dependency on "dpkg (>= 1.15.4) | install-info".
  * Standards-Version: 3.8.3.

 -- Santiago Vila <sanvila@debian.org>  Wed, 26 Aug 2009 17:01:36 +0200

hello (2.4-1) unstable; urgency=low

  * New upstream release. License is now GPLv3 or later.
  * Manual is included again, as it's now GFDL without invariant sections.
  * Clarified manual: If more than one of the greeting options is specified
    (`-g', `-n', `-t', and their long-named equivalents), whichever comes
    last takes precedence. Closes: #457941.
  * Don't pass -isp to dpkg-gencontrol, as it's deprecated. Closes: #508833.
  * Changed source URL in copyright file to use http, not ftp.
  * Standards-Version: 3.8.2 (no changes for this).

 -- Santiago Vila <sanvila@debian.org>  Mon, 03 Aug 2009 23:34:18 +0200

hello (2.2-3) unstable; urgency=low

  * Added debian/watch file. Closes: #489213.
  * Removed unneeded section .comment from binary. Closes: #428722.
  * Run "make distclean" only if Makefile exists, but do not ignore errors.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Nov 2008 17:08:46 +0100

hello (2.2-2) unstable; urgency=low

  * Removed all traces of checkroot. It's not really debian/rules job,
    and the binary target will fail anyway if not invoked as root,
    as there is a chown call.

 -- Santiago Vila <sanvila@debian.org>  Wed, 11 Apr 2007 08:05:12 +0200

hello (2.2-1) unstable; urgency=low

  * New upstream release.
  * Repackaged source without GFDL manual.
  * Option -m does no longer exist (Closes: #109895).
  * Removed prerm and postinst, as info files are missing now.

 -- Santiago Vila <sanvila@debian.org>  Sat,  9 Dec 2006 17:00:14 +0100

hello (2.1.1-5) unstable; urgency=low

  * Removed checkdir stuff from debian/rules, as it is not very useful.
  * Standards-Version: 3.7.2 (no changes for this).
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Tue, 18 Jul 2006 19:55:02 +0200

hello (2.1.1-4) unstable; urgency=low

  * Updated config.guess and config.sub for GNU/K*BSD.

 -- Santiago Vila <sanvila@debian.org>  Mon,  5 Jan 2004 16:42:30 +0100

hello (2.1.1-3) unstable; urgency=low

  * Modified Makefile.in to make sure that install-info is never called

