## hello-traditional 2.10

=== debian/changelog ===
hello-traditional (2.10-6) unstable; urgency=medium

  * Remove old dependency on "dpkg (>= 1.15.4) | install-info",
    as it's no longer needed. Closes: #1013733.
    Thanks to Hilmar Preuße.
  * Support building without root or fakeroot. Closes: #1026081.
    Thanks to Niels Thykier.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields Bug-Submit, Name and Repository-Browse.
  * Update watch file format version to 4.
  * Update standards version to 4.6.1.

 -- Santiago Vila <sanvila@debian.org>  Thu, 15 Dec 2022 23:15:00 +0100

hello-traditional (2.10-5) unstable; urgency=medium

  * Use "Rules-Requires-Root: binary-targets" instead.

 -- Santiago Vila <sanvila@debian.org>  Wed, 15 May 2019 12:49:00 +0200

hello-traditional (2.10-4) unstable; urgency=medium

  * Change priority from extra to optional.
  * Standards-Version: 4.3.0.
  * Rules-Requires-Root: no

 -- Santiago Vila <sanvila@debian.org>  Wed, 15 May 2019 11:15:20 +0200

hello-traditional (2.10-3) unstable; urgency=low

  * Use "dpkg-parsechangelog -S Date" to get the date.
  * Add md5sums. They are not mandated by policy but most people
    expect them to exist.

 -- Santiago Vila <sanvila@debian.org>  Fri, 15 May 2015 15:07:30 +0200

hello-traditional (2.10-2) unstable; urgency=low

  * Fix mtimes before building binary package to make the build reproducible,
    provided that dpkg and friends do their part and the package is built
    in the future.

 -- Santiago Vila <sanvila@debian.org>  Fri, 15 May 2015 12:27:52 +0200

hello-traditional (2.10-1) unstable; urgency=low

  * New upstream release.
  * debian/patches: Drop 01-fix-i18n-of-default-message, no longer needed.
  * debian/patches: Drop 99-config-guess-config-sub, no longer needed.
  * debian/rules: Drop "touch man/hello.1" hack, no longer needed.
  * Standards-Version: 3.9.6 (no changes for this).

 -- Santiago Vila <sanvila@debian.org>  Sun, 22 Mar 2015 11:51:00 +0100
