=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: hello-traditional
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.9.5
-Homepage: http://www.gnu.org/software/hello/
+Standards-Version: 4.6.1
+Homepage: https://www.gnu.org/software/hello/
+Rules-Requires-Root: no
 
 Package: hello-traditional
 Architecture: any
-Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
+Depends: ${shlibs:Depends}
 Provides: hello
 Conflicts: hello
 Replaces: hello, hello-debhelper (<< 2.9)
