=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 
 package = hello-traditional
 docdir = debian/tmp/usr/share/doc/$(package)
+
+BUILD_DATE := $(shell dpkg-parsechangelog -S Date)
 
 CFLAGS := `dpkg-buildflags --get CFLAGS` -Wall
 LDFLAGS := `dpkg-buildflags --get LDFLAGS`
@@ -35,7 +37,6 @@
 endif
 
 build:
-	touch man/hello.1
 	./configure CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
 		LDFLAGS="$(LDFLAGS)" $(confflags) --prefix=/usr
 	$(MAKE)
@@ -64,9 +65,13 @@
 	gzip -9n debian/tmp/usr/share/info/*
 	dpkg-shlibdeps debian/tmp/usr/bin/hello
 	dpkg-gencontrol
-	chown -R 0:0 debian/tmp
+	cd debian/tmp && \
+		find * -type f ! -regex "DEBIAN/.*" -print0 |\
+		LC_ALL=C sort -z | xargs -0r md5sum > DEBIAN/md5sums
 	chmod -R u+w,go=rX debian/tmp
-	dpkg --build debian/tmp ..
+	find debian/tmp -newermt '$(BUILD_DATE)' -print0 |\
+		 xargs -0r touch -h --date='$(BUILD_DATE)'
+	dpkg-deb --root-owner-group --build debian/tmp ..
 
 binary: binary-indep binary-arch
