=== debian/watch ===
version=4
https://ftp.gnu.org/gnu/hello hello-(.*).tar.gz
